#include <avr/io.h>
#include <stdio.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "usart.h"
#include <stdint.h>
#include <math.h>

int main()
{
	
	USART0_init(); 
	
	DDRD |= (1 << PD7); // LED

	DDRB |= (1 << PB0); // out motor 1
	DDRB |= (1 << PB5); // out motor 1
	DDRB |= (1 << PB4); // out motor 2
	DDRB |= (1 << PB3); // out motor 2
	
	PORTB &= ~(1 << PB0);
	PORTB &= ~(1 << PB5);
	PORTB &= ~(1 << PB4);
	//PORTB |= (1 << PB5);
	PORTB &= ~(1 << PB3);
	
	while (1) {
		
		char c = USART0_receive();
		switch(c) {
			case 'F': // Merge in fata
				PORTD ^= (1 << PD7);
				PORTB &= ~(1 << PB5);
				PORTB |= (1 << PB0);
				
				PORTB &= ~(1 << PB3);
				PORTB |= (1 << PB4);
			break;
			case 'B': // Merge in spate
			PORTD ^= (1 << PD7);
			PORTB &= ~(1 << PB0);
			PORTB &= ~(1 << PB4);
			
			PORTB |= (1 << PB5);
			PORTB |= (1 << PB3);
			break;
			case 'R': // Merge in dreapta
			PORTD ^= (1 << PD7);
			PORTB &= ~(1 << PB0);
			PORTB &= ~(1 << PB5);
		
			PORTB &= ~(1 << PB3);
			PORTB |= (1 << PB4);

			break;
			case 'L': // Merge in stanga
			PORTD ^= (1 << PD7);
			PORTB &= ~(1 << PB5);
			PORTB |= (1 << PB0);

			PORTB &= ~(1 << PB4);
			PORTB &= ~(1 << PB3);

			break;
			case 'H':
			PORTB &= ~(1 << PB5);
			PORTB &= ~(1 << PB0);
			PORTB &= ~(1 << PB4);
			PORTB &= ~(1 << PB3);
			break;
		}
	}
	
	return 0;
}
